%define anolis_release 1

Name:		mecab
Version:	0.996
Release:	%{anolis_release}%{?dist}
Summary:	Yet Another Part-of-Speech and Morphological Analyzer

License:	BSD or LGPLv2+ or GPL+
URL:		http://mecab.sourceforge.net/
Source0:	http://mecab.googlecode.com//%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires:	gcc-c++

%description
MeCab is a open source morphological analyzer which uses 
CRF (Conditional Random Fields) as the estimation of parameters.

NOTE:
You have to install MeCab dictionary rpm to make use
of MeCab.

%package devel
Summary:	Libraries and Header files for Mecab
Requires:	%{name} = %{version}-%{release}

%description devel
This is the development package that provides header files and libraries
for MeCab.

%package doc
Summary:        Docs files for Mecab
Requires:       %{name} = %{version}-%{release}

%description doc
This is the help package that provides doc files for MeCab.


%prep
%autosetup -n %{name}-%{version} -p1

mv doc/doxygen .
find . -name \*.cpp -print0 | xargs -0 %{__chmod} 0644

# compiler flags fix
%{__sed} -i.flags \
	-e '/-O3/s|CFLAGS=\"\(.*\)\"|CFLAGS=\${CFLAGS:-\1}|' \
	-e '/-O3/s|CXXFLAGS=\"\(.*\)\"|CXXFLAGS=\${CFLAGS:-\1}|' \
	-e '/MECAB_LIBS/s|-lstdc++||' \
	configure

# multilib change
%{__sed} -i.multilib \
	-e 's|@prefix@/lib/mecab|%{_libdir}/mecab|' \
	mecab-config.in mecabrc.in

%build
%configure
# remove rpath from libtool
%{__sed} -i.rpath \
	-e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
	-e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
	libtool

%make_build

%install
%make_install

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}
%{__rm} -f doc/Makefile*

# create directory
%{__mkdir} -p $RPM_BUILD_ROOT%{_libdir}/mecab/dic/

%check
# here enable rpath
export LD_LIBRARY_PATH=$(pwd)/src/.libs
cd tests
%{__make} check || :
cd ..

%ldconfig_scriptlets

%files
%doc AUTHORS BSD COPYING GPL LGPL
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/mecabrc
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libdir}/lib%{name}.so.2*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/dic/

%files devel
%doc example/
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%files doc
%doc README NEWS INSTALL ChangeLog
%doc doc/
%doc doxygen/

%changelog
* Fri Jul 22 2022 happy_orange <songnannan@linux.alibaba.com> - 0.996-1
- Init pacakge from upstream
